Nové softwarové aktualizace Applu pro Macy - MujMAC.cz - Apple, Mac OS X, Apple iPod

Odběr fotomagazínu

Fotografický magazín "iZIN IDIF" každý týden ve Vašem e-mailu.
Co nového ve světě fotografie!

 

Zadejte Vaši e-mailovou adresu:

Kamarád fotí rád?

Přihlas ho k odběru fotomagazínu!

 

Zadejte e-mailovou adresu kamaráda:

Seriály

Více seriálů



Informace

Nové softwarové aktualizace Applu pro Macy

22. ledna 2010, 00.00 | Boot Camp konečně získal podporu Windows 7. Vyšla první letošní bezpečnostní aktualizace Leoparda a Snow Leoparda. Dále Apple uvolnil nový EFI firmware pro Macy Pro a Xserve a nové Firmware Restoration CD. A objevil se ovladač Unitor Family Driver 2.5 pro Logic Studio.

V minulých dnech Apple vydal spoustu softwarových aktualizací pro Macy, jež se zde snažíme shrnout:

Boot Camp 3.1 doplňuje podporu Windows 7

Poměrně brzy poté, co Macy přešly na procesory Intel, se objevil také software Boot Camp umožňující na tyto stroje nainstalovat Windows a používat je jako alternativní operační systém (viz článek MůjMacu z roku 2006). Od příchodu Leoparda se Boot Camp stal integrální součástí Mac OS X, Apple ho samozřejmě průběžně vylepšuje, Mac OS X 10.6 se začal dodávat s verzí 3.0.

Loni v říjnu ovšem Microsoft uvedl nová Windows 7, a tak pochopitelně vyvstala otázka, kdy začne Boot Camp podporovat také je (oficiálně totiž zvládal jen Windows XP a Vistu). Vzhledem k četnosti takovýchto dotazů již v den uvedení Windows 7 Apple vydal své vyjádření v podobě (dnes už nedostupného) podpůrného dokumentu, v němž sliboval, že podporu Windows 7 přinese do konce roku 2009. To se ovšem nestalo, jak jsme mohli konstatovat počátkem letošního roku, ale toto úterý to Apple napravil, když konečně uvolnil aktualizaci Boot Campu na verzi 3.1, jež doplňuje právě podporu Windows 7.

Dorazila tedy se zpožděním, ale zase ne tak velkým, skluzy při vydávání nových verzí softwaru bývají často ještě delší (zejména u operačních systémů, což platí též pro Windows 7, ovšem svého času se docela zpozdil i Leopard).

Nainstalovat Boot Camp 3.1 se doporučuje všem stávajícím uživatelům verze 3.0, vedle podpory Windows 7 (vydání Home Premium, Professional a Ultimate) přináší ještě několik dalších drobných vylepšení a oprav, řeší problémy s trackpady nových Maců, na noteboocích Applu vypíná rudou LED diodu digitálního zvukového portu, když se nepoužívá a také doplňuje podporu nové bezdrátové klávesnice Applu a myši Magic Mouse.

Podrobnější informace k Boot Campu shrnuje Apple na téhle stránce, podporu Windows 7 blíže popisuje tento podpůrný dokument.

Z něj vyplývá, že Windows 7 lze provozovat pouze na Macu se Snow Leopardem, jehož Boot Camp byl aktualizován na verzi 3.1. A jak Apple předeslal už předem, také některé Macy s procesory Intel jsou z podpory nové verze Windows vyloučeny, konkrétně se jedná o 17” a 20” iMacy z roku 2006, o 15” a 17” MacBooky Pro z roku 2006 a o 2,66GHz a 3GHz Macy Pro z poloviny roku 2006.

Lze provést jak čistou instalaci Windows 7, tak též upgrade z dřívější verze, podrobněji to popisuje tento instalační průvodce.

Aktualizace na Boot Camp 3.1 se nabízí ve dvou variantách, podle toho, zda ho chcete používat pro 32bitová nebo 64bitová Windows 7, 32bitová varianta se dá stáhnout odtud (má velikost 380,73 MB), tady se nachází 64bitová varianta (274,58 MB). Nainstalovat ji půjde jen přes Boot Camp 3.0 (daný Mac tedy musí tedy používat Snow Leoparda a pochopitelně musí patřit k podporovaným typům).

Dodatečné aktualizace související s Boot Campem 3.1

V souvislosti se zavedením podpory Windows 7 však Apple uvolnil ještě další softwarové aktualizace. Jde především o novou verzi utility Boot Camp Utility. Ta slouží ke snadnému přechodu z předchozí verze Windows, v případě Windows 7 tedy z Visty (z Windows XP nelze na Windows 7 přejít přímo).

Nová verze utility je potřebná pro hladký přechod z Visty na Windows 7, opravuje totiž hloupou chybu instalátoru Windows 7. Ten se pokouší zapisovat do diskového oddílu s Mac OS X, který je ovšem chráněný proti zápisu, a tak by došlo k chybě znemožňující instalaci. Proto se musí pod Vistou spustit tato utilita, jež daný oddíl Mac OS X prostě odpojí, aby ho instalátor Windows 7 neviděl.

Utilitu lze stáhnout odtud (tvoří ji 376KB ZIP archív), její použití popisuje tento dokument.

A některé Macy budou navíc pro úspěšné provozování Windows 7 potřebovat ještě dodatečné aktualizace firmwaru. Jedná se o iMacy užívající grafické karty NVIDIA GeForce 7300 či 7600 GT a Macy Pro s grafickými kartami NVIDIA GeForce 7300 GT nebo Quadro FX 4500, na ty všechny se musí použít aktualizace Graphics Firmware Update 1.0 (iMac and Mac Pro) compatibility with Windows 7. Ta se nalézá zde, má velikost jen 1,2 MB a vyžaduje Mac OS X 10.5.8 nebo 10.6 či vyšší.

Loni v říjnu Apple uvedl nové 21,5“ a 27“ iMacy, jež přinesly řadu hardwarových novinek. Aby bylo možné jejich nový hardware používat také pod Windows 7, musí se nainstalovat příslušné ovladače, které se nabízejí v rámci aktualizace iMac Late 2009 Windows 7 Drivers.

Protože však jde o ovladače pro Windows 7, bude jejich instalace poněkud spletitější. Nejprve se musí stáhnout z webu Applu (zabírají 104 MB), mají podobou instalátoru pro Windows 7. Instalátor se následně musí uložit na USB disk (zformátovaný souborovým systémem FAT), ten se potom připojí k Macu, na který se budou instalovat Windows 7, jež už si dodatečné ovladače vypátrají. Všechny potřebné kroky (celkem 14) Apple podrobněji popisuje tady.

První letošní bezpečnostní aktualizace Mac OS X mimo jiné zaceluje zranitelnosti Flashe

Toto téma často vyvolává bouřlivé (a nepříliš inteligentní) diskuse, je ovšem nepopiratelným faktem, že žádný software není zcela bezpečný a to platí i pro Mac OS X. V posledních letech se však v tomto směru Apple dost „polepšil“ a pravidelně vydává bezpečnostní aktualizace pro aktuální verze systému. A toto úterý se objevila jejich první letošní várka pro Leoparda a Snow Leoparda.

Loni Apple bezpečnostní aktualizace Mac OS X vydal naposledy v listopadu, tehdy ovšem měly podobu samostatné aktualizace jen pro Leoparda, protože v případě Snow Leoparda tvořily součást nové verze 10.6.2.

Tentokrát se ale jedná o samostatné aktualizace jak pro Leoparda, tak pro Snow Leoparda, seznam všech opravených bezpečnostních chyb obsahuje tento dokument.

Aktualizace Security Update 2010-001 řeší například přetečení bufferu systému CoreAudio, jež mohlo způsobit, že by záškodnický zvukový MP4 soubor dokázal spustit libovolný (potenciálně nebezpečný) kód. Dále zaceluje díru v tiskovém systému CUPS, která mohla dovolit vzdálenému útočníkovi jeho ukončení, napravuje chyby v komponentách ImageIO a Image RAW umožňující útok záškodnickými TIFF a DNG soubory a bezpečnostní díru v OpenSSL, jež mohla dovolit zachycení šifrovaných dat přenášených v síti.

A zároveň také aktualizuje zásuvný modul Adobe Flash Playeru na verzi 10.0.42 opravující řadu vážných bezpečnostních chyb, například možnost spuštění libovolného kódu při navštívení záškodnického webu (podrobněji to popisuje příslušný bezpečnostní věstník Adobe, která ovšem pro ostatní podporované platformy tuhle verzi vydala již počátkem prosince 2009).

Nová bezpečnostní aktualizace se pochopitelně nabízí prostřednictvím mechanismu Software Update, anebo ji lze stáhnout ručně, pak však musíte vybrat správnou variantu pro svou verzi Mac OS X. Pro klientskou variantu Leoparda se dá získat odtud (má velikost 159,58 MB), pro Leopard Server se nabízí tady (248,11 MB), v obou případech vyžaduje Mac OS X 10.5.8.

Pro všechny varianty Snow Leoparda se tato aktualizace nachází zde (zabírá jen 21,9 MB), vyžaduje Mac OS X 10.6.2.

Mezi podporovanými jazyky ovšem není čeština, uživatelé české lokalizace tak zřejmě budou muset počkat, dokud se (na této stránce) neobjeví její lokalizovaná verze.

Aktualizace EFI firmwaru Maců Pro a serverů Xserve zlepšuje podporu virtualizace

Přísun softwarových aktualizací pro Macy byl tento týden zvlášť bohatý, Apple už v pondělí uvolnil také nové verze EFI firmwaru pro Macy Pro a servery Xserve.

Konkrétně se jedná o aktualizace Mac Pro EFI Firmware Update 1.4 a Xserve EFI Firmware Update 1.2. Jsou určeny pro nové modely z počátku loňského roku (Macy Pro se objevily v březnu a servery Xserve v dubnu 2009, byly to první Macy vybavené procesory s architekturou Nehalem).

05mm04032009f.jpg

Nový EFI firmware Maců Pro zlepšuje kompatibilitu s virtualizačním softwarem využívajícím technologii VT-d, posiluje výkon úložišť pod Windows XP spouštěnými z Boot Campu a zvyšuje spolehlivost systému během jeho spouštění. Stáhnout se dá tady (má velikost jen 1,96 MB) a vyžaduje Mac OS X 10.5.8 nebo 10.6.2.

06mm08042009f.jpg

Obdobný firmware pro servery Xserve zlepšuje kompatibilitu s virtualizačním softwarem a spolehlivost při spouštění, nabízí se zde (1,81 MB) a má stejné požadavky.

Postup aktualizace firmwaru pro Macy s procesory Intel podrobněji popisuje tento podpůrný dokument, v případě serverů Xserve se navíc aktualizace dá provést na dálku.

Současně Apple uvolnil Firmware Restoration CD 1.8

Výše uvedená aktualizace firmwaru se za jistých okolností (třeba při výpadku napájení) nemusí povést a daný Mac se může dostat do stavu, kdy nebude provozuschopný. Pro takové nouzové situace Apple poskytuje záchranné CD, v pondělí proto vydal jeho novou verzi podporující nejnovější verze firmwaru.

Nové Firmware Restoration CD 1.8 se jako vždy nabízí v podobě diskového obrazu, který se nejprve musí vypálit na fyzický CD disk, než ho půjde použít. Toto CD je stejně jako výše popsané aktualizace EFI firmwaru určeno pro Macy Pro a servery Xserve z loňského roku (modely „MacPro 4,1“ a „Xserve 3,1“, pro další modely Maců poslouží nadále dostupné dřívější verze CD), samotný diskový obraz lze ovšem vypálit na v podstatě libovolném Macu (včetně strojů s procesory PowerPC, přestože tato CD jsou použitelná pouze na strojích s Intely).

Firmware Restoration CD 1.8 se dá stáhnout tady (jde o 22,5 MB), odkazovaná stránka obsahuje též popis potřebných postupů.

Ovladač Unitor Family Driver 2.5 vylepšuje podporu MIDI rozhraní Unitor v Logic Studiu

A v pondělí vypustil Apple ještě jednu softwarovou aktualizaci, totiž verzi 2.5 ovladače Unitor Family Driver pro svůj profesionální hudební balík Logic Studio. Nová verze ovladače řeší problémy spolehlivosti při používání MIDI rozhraní Unitor8, AMT8 a MT4, zejména když se jich užívá více současně.

Lze ho získat přes Software Update, nebo z webu Applu (má velikost 514 KB), vyžaduje Mac OS X 10.5.7 či vyšší.

Tématické zařazení:

 » Rubriky  » Informace  

 » Rubriky  » Agregator  

 » Rubriky  » Software  

 

 

 

 

Přihlášení k mému účtu

Uživatelské jméno:

Heslo: